Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-105891

[EFAULT] unable to open database file

    XMLWordPrintable

    Details

      Description

      After the update to version 11.3-U2.1 the following error accours when accessing the plugin page.

      Error: Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 531, in read_plugin_pkg_db
          conn = sqlite3.connect(db)
      sqlite3.OperationalError: unable to open database file

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 130, in call_method
          io_thread=False)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1095, in _call
          return await run_method(methodobj, *args)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1019, in _run_in_conn_threadpool
          return await self.run_in_executor(self.__ws_threadpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1007, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
          result = self.fn(*self.args, **self.kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 202, in query
          plugin_dict.pop('primary_pkg'), iocroot, plugin_dict['name']
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 511, in get_local_plugin_version
          f'{iocroot}/jails/{jail_name}/root/var/db/pkg/local.sqlite', primary_pkg
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 533, in read_plugin_pkg_db
          raise CallError(e)
      middlewared.service_exception.CallError: [EFAULT] unable to open database file
       

       

       

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                waqar Waqar Ahmed
                Reporter:
                erik.gieseler Erik Gieseler
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Due:
                  Created:
                  Updated:
                  Resolved: